%global download_id 75
Name:		sac2mseed
Version:	1.11
Release:	2%{?dist}
License:	GPLv2+
Summary:	Convert SAC data to miniSEED format
Url:		https://seiscode.iris.washington.edu/projects/sac2mseed
Group:		Applications/File
Source0:	https://seiscode.iris.washington.edu/attachments/download/%{download_id}/sac2mseed-%{version}.tar.gz
Patch1:		sac2mseed-libmseed-2.12.patch

BuildRequires:	libmseed-devel >= 2.12

%description
Convert SAC time series data to miniSEED format.

NOTE: SAC data files contain header fields with no equivalents in miniSEED
format, these fields are lost during conversion. An optional metadata output
file can be created during conversion that contains the most important
metadata.


%prep
%setup -q -n %{name}

%patch1


%build
pushd src
# Disable internal library copy by overriding REQCFLAGS and LDFLAGS
make %{?_smp_mflags} \
	CC=gcc CFLAGS="%{optflags}" \
	REQCFLAGS='' LDFLAGS='' \
	all
popd


%install
mkdir -p %{buildroot}%{_bindir}
cp -p sac2mseed %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_mandir}/man1
cp -p doc/*.1 %{buildroot}%{_mandir}/man1/


%files
%doc README ChangeLog
%{_bindir}/sac2mseed
%{_mandir}/man1/*

%changelog
* Thu Feb 18 2016 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.11-2
- Rebuild for Rawhide

* Thu Aug 21 2014 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.11-1
- Initial package release
